function [q] = Lpoly(xx,symm)
   %  Calculated expanded interpolating polynomial
   %     xx = vector of points
   %     symm - 0/1 nonsymmetric/symmetric
   %     L(i) = sum(q(i,j)*x^(j-1)) expansion of interpolating polynomial
   % ----------------------------------------------
   n = size(xx);
   if(symm)
      x = xx.^2;
   else
      x = xx;
   end
   xj = repmat(x(2:end)',n);
   for i=1:n
      xj(i,1:i-1) = x(1:i-1)';
      q(i,1) = ((1.0)./prod(x(i)-xj(i,:)));
   end
   for k=2:n
      q(:,k) = q(:,k-1);
      for kk=k-1:-1:2
         q(:,kk) = q(:,kk-1) .- xj(:,k-1).*q(:,kk);
      end
      q(:,1) = -xj(:,k-1).*q(:,1);
   end
end
