function [Bc,Cc] = OCBCcoef(wc,Ac,An,sym)
   % wc - quadrature weights
   % Ac - first derivative (even if sym)
   % An - first derivative (odd if sym)
   % sym - true if symmetric problem
   % Bc - conventional collocation Laplacian
   % Cc - "stiffness" matrix
   nt = size(wc,1);
   Bc = An*Ac;  % supply An = Ac if ~sym
   Cc = -bsxfun(@times,wc,Bc);      % multiply rows of Bc by -wc
   Cc(nt,:) = Cc(nt,:) + Ac(nt,:);  % first derivative at x = 1
   if(~sym)
      Cc(1,:) = Cc(1,:) - Ac(1,:);  % first derivative at x = 0
   end
end

