function [x,w,A] = OCnonsym(n,meth)
   % code for nonsymmetric orthogonal collocation applications on 0 < x < 1
   % n - interior points)
   % meth = 1,2,3,4,5 for Gauss, Lobatto, Chebyshev, Radau (right), Radau (left)
   % x - collocation points
   % w - quadrature weights
   % A - 1st derivative
   errx = (n < 1) | (~any(meth==[1:5]));
   if(errx)error('Usage: [x,w,A] = OCnonsym(n > 0, 1 to 4)'), end
   if(meth == 3)
      [x,w,A] = OCnonsymC(n);           % Chebyshev (cheb & clencurt)
   else
      if(meth > 3)meth = meth - 1; end
         [x,w,A] = OCnonsymGLR(n,meth); % Gauss, Lobatto, Radau, iterative
   end
end
