function [xc,wc,Ac,ANc] = OCsym(n,meth,geom) % symmetric problems
   % n interior points
   % meth = 1,2,3 for Gauss, Lobatto, Chebyshev
   % geom = 0,1,2 for planar, cylindrical, spherical
   % xc  - collocation points
   % wc  - quadrature weights
   % Ac  - 1st derivative (even)
   % ANc - 1st derivative (odd)
   errx = (n < 1) | (~any(meth==[1:3])) | (~any(geom==[0:2]));
   if(errx)error('Usage: [x,w,A,An] = OCsym(n > 0, 1 to 3, 0 to 2)'), end
   if(meth > 2)
      [xc,wc,Ac,ANc] = OCsymC(n,geom);         % Chebyshev (cheb & clencurt)
   else
      [xc,wc,Ac,ANc] = OCsymGL(n,meth,geom);   % Gauss, Lobatto
   end
end

